Package org.jbpm.services.task.commands

## Class NominateTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
    - - org.jbpm.services.task.commands.NominateTaskCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Void>`, `org.kie.api.command.ExecutableCommand<Void>`

      public class NominateTaskCommand
      extends UserGroupCallbackTaskCommand<Void>

  Operation.Skip : [ new OperationCommand().{ status = [ Status.Created ], allowed = [ Allowed.Initiator, Allowed.BusinessAdministrator ], newStatus = Status.Obsolete, skipable = true }, new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner, Allowed.BusinessAdministrator ], newStatus = Status.Obsolete, skipable = true }, new OperationCommand().{ status = [ Status.Reserved, Status.InProgress ], allowed = [ Allowed.Owner, Allowed.BusinessAdministrator ], newStatus = Status.Obsolete, skipable = true } ],
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NominateTaskCommand()` |
    `NominateTaskCommand​(long taskId, String userId, List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Void` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `List<JaxbOrganizationalEntity>` | `getPotentialOwners()` |
    `void` | `setPotentialOwners​(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addEmailFromCallbackOperation, addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackEmailOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NominateTaskCommand

          public NominateTaskCommand()

    - #### NominateTaskCommand

          public NominateTaskCommand​(long taskId,
                                     String userId,
                                     List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

  - ### Method Detail

    - #### setPotentialOwners

          public void setPotentialOwners​(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

    - #### execute

          public Void execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Void>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Void>`

    - #### getPotentialOwners

          public List<JaxbOrganizationalEntity> getPotentialOwners()